.xn_modal button {
    cursor: pointer;
}

.pdfobject-container {
    height: 30rem;
    border: 1rem solid rgba(0, 0, 0, 0.1);
}

.trigger {
    margin: 0 0.75rem;
    padding: 0.625rem 1.25rem;
    border: none;
    border-radius: 0.25rem;
    box-shadow: 0 0.0625rem 0.1875rem rgba(0, 0, 0, 0.12), 0 0.0625rem 0.125rem rgba(0, 0, 0, 0.24);
    transition: all 0.25s cubic-bezier(0.25, 0.8, 0.25, 1);
    font-size: 0.875rem;
    font-weight: 300;
}

.trigger i {
    margin-right: 0.3125rem;
}

.trigger:hover {
    box-shadow: 0 0.875rem 1.75rem rgba(0, 0, 0, 0.25), 0 0.625rem 0.625rem rgba(0, 0, 0, 0.22);
}

.xn_modal {
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 0vh;
    background-color: transparent;
    overflow: hidden;
    transition: background-color 0.25s ease;
    z-index: 9999;
}

.xn_modal.open {
    position: fixed;
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
    transition: background-color 0.25s;
}

.xn_modal.open>.content-wrapper {
    transform: scale(1);
}

.xn_modal.close>.content-wrapper {
    transform: scale(0);
}

.xn_modal .content-wrapper {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    width: 50%;
    margin: 0;
    padding: 1.8rem;
    background-color: white;
    border-radius: 0.3125rem;
    box-shadow: 0 0 2.5rem rgba(0, 0, 0, 0.5);
    transform: scale(0);
    transition: transform 0.25s;
    transition-delay: 0.15s;
    box-sizing: border-box;
    outline: none;
}

.xn_modal .content-wrapper .close {
    position: absolute;
    top: 0.5rem;
    right: 0.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 2.5rem;
    height: 2.5rem;
    border: none;
    background-color: transparent;
    font-size: 1.5rem;
    transition: 0.25s linear;
}

.xn_modal .content-wrapper .close:before,
.xn_modal .content-wrapper .close:after {
    position: absolute;
    content: "";
    width: 1.25rem;
    height: 0.125rem;
    background-color: black;
}

.xn_modal .content-wrapper .close:before {
    transform: rotate(-45deg);
}

.xn_modal .content-wrapper .close:after {
    transform: rotate(45deg);
}

.xn_modal .content-wrapper .close:hover {
    /* transform: rotate(360deg); */
}

.xn_modal .content-wrapper .close:hover:before,
.xn_modal .content-wrapper .close:hover:after {
    background-color: tomato;
}

.xn_modal .content-wrapper .xn_modal-header {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin: 0;
    padding: 0 0 1.25rem;
}

.xn_modal .content-wrapper .xn_modal-header h2 {
    font-size: 1.5rem;
    font-weight: bold;
}

.xn_modal .content-wrapper .content {
    position: relative;
    display: flex;
}

.xn_modal .content-wrapper .content p {
    font-size: 0.875rem;
    line-height: 1.75;
}

.xn_modal .content-wrapper .xn_modal-footer {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    width: 100%;
    margin: 0;
    padding: 1.875rem 0 0;
}

.xn_modal .content-wrapper .xn_modal-footer .action {
    position: relative;
    margin-left: 0.625rem;
    padding: 0.625rem 1.25rem;
    border: none;
    background-color: slategray;
    border-radius: 0.25rem;
    color: white;
    font-size: 0.87rem;
    font-weight: 300;
    overflow: hidden;
    z-index: 1;
}

.xn_modal .content-wrapper .xn_modal-footer .action:before {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    width: 0%;
    height: 100%;
    /* background-color: rgba(255, 255, 255, 0.2); */
    transition: width 0.25s;
    z-index: 0;
}

.xn_modal .content-wrapper .xn_modal-footer .action:first-child {
    background-color: #2ecc71;
}

.xn_modal .content-wrapper .xn_modal-footer .action:last-child {
    background-color: #e74c3c;
}

.xn_modal .content-wrapper .xn_modal-footer .action:hover:before {
    width: 100%;
}


/* VENTANA PAGAR */

.modal_pagar {
    background-color: rgba(0, 0, 0, 0)!important;
    position: absolute;
    justify-content: start;
    align-items: flex-end;
}

.modal_pagar.open {
    /* width: 30%; */
    margin-top: 10vh;
    height: 90vh;
}

.modal_pagar .content-wrapper {
    width: 30%;
    margin: 0px 0px 10px 10px;
    box-shadow: none !important;
    background-color: #bdbdbd;
    color: black;
}

.modal_pagar .content-wrapper h2 {
    color: rgb(0 158 227);
}

.modal_pagar a {
    text-decoration: none;
}

@media (min-width: 250px) and (max-width: 767px){

    .modal_pagar .content-wrapper {
        width: 80%;
    }
}
@media (min-width: 768px) and (max-width: 1024px) {
    .modal_pagar .content-wrapper {
        width: 60%;
    }
}